diff --git a/d-shlibmove b/d-shlibmove
index 6984242..eab5c96 100755
--- a/d-shlibmove
+++ b/d-shlibmove
@@ -96,6 +96,7 @@ TRANSITIONSUFFIX=
 DOIT=no
 DEVUNVERSIONED=no
 IGNORELIBDEP=no
+INCLUDELA=yes
 while [ -n "$1" ]; do
     case $1 in
 	--moveshl)
@@ -152,6 +153,12 @@ while [ -n "$1" ]; do
 	--ldbl)
 	    TRANSITIONSUFFIX="ldbl"
 	    shift;;
+	--include-la)
+	    INCLUDELA=yes
+	    shift;;
+	--exclude-la)
+	    INCLUDELA=no
+	    shift;;
 	--override)
 	    OVERRIDE[${#OVERRIDE[@]}]="$2"
 	    shift; shift;;
@@ -182,7 +189,9 @@ INSTALLDIR="install -d -m 755 "
 echo "${INSTALLDIR} debian/${PKGDEV}/usr/lib" >> "$execscript"
 echo "${INSTALLDIR} debian/${PKGSHL}/usr/lib"  >> "$execscript"
 echo "mv $(dirname $1)/${PK}.a debian/${PKGDEV}/usr/lib"  >> "$execscript"
-echo "mv $(dirname $1)/${PK}.la debian/${PKGDEV}/usr/lib || true"  >> "$execscript"
+if [ "${INCLUDELA}" = "yes" ]; then
+    echo "mv $(dirname $1)/${PK}.la debian/${PKGDEV}/usr/lib || true"  >> "$execscript"
+fi
 echo "mv $(dirname $1)/${PK}.so debian/${PKGDEV}/usr/lib"  >> "$execscript"
 echo "mv $(dirname ${REALSO})/${SONAME} debian/${PKGSHL}/usr/lib"  >> "$execscript"
 echo "mv ${REALSO} debian/${PKGSHL}/usr/lib"  >> "$execscript"
@@ -202,6 +211,9 @@ cat "${INSTALLFILE_SHLPKG}" | while read A B; do
     echo "${INSTALLDIR} debian/${PKGSHL}/${B}" >> "${execscript}"
     echo "mv ${A} debian/${PKGSHL}/${B}" >> "${execscript}"
 done
+if [ "${INCLUDELA}" = "no" ]; then
+    sed -i -e "/^.*${PK}\.la usr\/lib || true$/d" "${INSTALLFILE_DEVPKG}"
+fi
 cat "${INSTALLFILE_DEVPKG}" | while read A B; do
     echo "${INSTALLDIR} debian/${PKGDEV}/${B}" >> "${execscript}"
     echo "mv ${A} debian/${PKGDEV}/${B}" >> "${execscript}"
diff --git a/d-shlibmove.1 b/d-shlibmove.1
index 38b3d83..00687a6 100644
--- a/d-shlibmove.1
+++ b/d-shlibmove.1
@@ -108,6 +108,17 @@ Add dbl suffix to package names.
 Added in version 0.35
 
 .TP
+.B "--include-la"
+
+Install the *.la files.
+This is the default behavior.
+
+.TP
+.B "--exclude-la"
+
+Avoid installing *.la files.
+
+.TP
 .BI "--override [" "override statement" "]"
 Add an overriding sed expression, which looks like
 .IR "--override s/libshared1-dev/libshared-dev/" .
